# Method: projects.versions.get

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/get#try-it)

Gets a version of a script project.

### HTTP request

`GET https://script.googleapis.com/v1/projects/{scriptId}/versions/{versionNumber}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |
| `versionNumber` | `integer` The version number. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions#Version`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/script.projects`
- `https://www.googleapis.com/auth/script.projects.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).